classification
Title: pathlib inheritance diagram too large
Type: enhancement Stage: resolved
Components: Documentation Versions: Python 3.8, Python 3.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: docs@python Nosy List: docs@python, eli.bendersky, georg.brandl, methane, pitrou, python-dev, vstinner
Priority: low Keywords: easy, patch

Created on 2013-12-16 19:18 by pitrou, last changed 2019-02-05 10:39 by methane. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 11304 merged harman786, 2018-12-24 16:29
PR 11761 merged methane, 2019-02-05 10:30
PR 11761 merged methane, 2019-02-05 10:30
PR 11761 merged methane, 2019-02-05 10:30
Messages (6)
msg206354 - (view) Author: Antoine Pitrou (pitrou) * (Python committer) Date: 2013-12-16 19:18
The inheritance diagram at http://docs.python.org/dev/library/pathlib.html is too large, it can easily take up half the vertical space (or perhaps all of it on a smaller screen).

The font size looks fine, it's just that there's a lot of spacing around.
(of course, the style could perhaps also be changed or improved)
msg206384 - (view) Author: Eli Bendersky (eli.bendersky) * (Python committer) Date: 2013-12-16 22:28
The source for the diagram is here: https://docs.google.com/drawings/d/1F8do-1WL1sIGkZuiufcxcpZRtS0w4SwAowq-Uamrwt8/edit?usp=sharing

Anyone - feel free to copy that doc over and create a new diagram with smaller whitespacing. Let me know if there are any problem accessing the doc.
msg206385 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2013-12-16 22:29
Please include the SVG source of the diagram in the Python source code, so the picture can be regenerated.
msg206401 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2013-12-17 05:13
New changeset fe49ed665190 by Eli Bendersky in branch 'default':
Issue #20001: Add the SVG source of the pathlib-inheritance diagram to Hg
http://hg.python.org/cpython/rev/fe49ed665190
msg334860 - (view) Author: Inada Naoki (methane) * (Python committer) Date: 2019-02-05 10:16
New changeset cd90f6a3692e0f7ef0a13aae651e19a08d1f9b31 by Inada Naoki (Harmandeep Singh) in branch 'master':
bpo-20001: update pathlib landing image (GH-11304)
https://github.com/python/cpython/commit/cd90f6a3692e0f7ef0a13aae651e19a08d1f9b31
msg334861 - (view) Author: Inada Naoki (methane) * (Python committer) Date: 2019-02-05 10:39
New changeset 21ab7744ae30bff24bcc9e075a96e98137b90a37 by Inada Naoki in branch '3.7':
bpo-20001: update pathlib landing image (GH-11304)
https://github.com/python/cpython/commit/21ab7744ae30bff24bcc9e075a96e98137b90a37
History
Date User Action Args
2019-02-05 10:40:02methanesetstatus: open -> closed
resolution: fixed
stage: patch review -> resolved
2019-02-05 10:39:46methanesetnosy: + methane
messages: + msg334861
2019-02-05 10:30:48methanesetpull_requests: + pull_request11712
2019-02-05 10:30:35methanesetpull_requests: + pull_request11711
2019-02-05 10:30:21methanesetpull_requests: + pull_request11710
2019-02-05 10:17:03methanesetnosy: - methane

versions: + Python 3.7, Python 3.8, - Python 3.5, Python 3.6
2019-02-05 10:16:18methanesetnosy: + methane
messages: + msg334860
2018-12-24 16:29:52harman786setkeywords: + patch
stage: needs patch -> patch review
pull_requests: + pull_request10538
2016-04-20 12:24:40berker.peksagsetkeywords: + easy
stage: needs patch
type: enhancement
versions: + Python 3.5, Python 3.6, - Python 3.4
2013-12-17 05:13:40python-devsetnosy: + python-dev
messages: + msg206401
2013-12-16 22:29:30vstinnersetnosy: + vstinner
messages: + msg206385
2013-12-16 22:28:29eli.benderskysetmessages: + msg206384
2013-12-16 19:18:58pitroucreate